Package org.gradle.tooling.events

## Interface OperationDescriptor

- All Known Subinterfaces:
    `JvmTestOperationDescriptor`, `ProjectConfigurationOperationDescriptor`, `TaskOperationDescriptor`, `TestOperationDescriptor`, `TestOutputDescriptor`, `TransformOperationDescriptor`, `WorkItemOperationDescriptor`

      public interface OperationDescriptor

  Describes an operation for which an event has occurred.

  You can use `equals()` to determine whether 2 different descriptors refer to the same operation.

  The subtypes of this interface define specific types of operations, such as task execution.

  Since:
    2.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDisplayName()` | Returns a human consumable display name for the operation.
    `String` | `getName()` | Returns the name of the operation.
    `OperationDescriptor` | `getParent()` | Returns the parent operation, if any.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the operation. This name does not necessarily uniquely identify the operation. However, the name can be used by a human to disambiguate between the children of a given operation.
      Returns:
        The name of the operation.

    - #### getDisplayName

          String getDisplayName()

      Returns a human consumable display name for the operation. This display name provides enough context for a human to uniquely identify the operation.
      Returns:
        The display name of the operation.

    - #### getParent

          @Nullable
          OperationDescriptor getParent()

      Returns the parent operation, if any.
      Returns:
        The parent operation.